nobs.fixest {fixest} | R Documentation

## Extracts the number of observations form a `fixest` object

### Description

This function simply extracts the number of observations form a `fixest` object, obtained using the functions `femlm`, `feols` or `feglm`.

### Usage

    ## S3 method for class 'fixest'
    nobs(object, ...)

### Arguments

`object` | A `fixest` object. Obtained using the functions `femlm`, `feols` or `feglm`.
`...` | Not currently used.

### Value

It returns an interger.

### Author(s)

Laurent Berge

### See Also

See also the main estimation functions `femlm`, `feols` or `feglm`. Use `summary.fixest` to see the results with the appropriate standard-errors, `fixef.fixest` to extract the cluster coefficients, and the functions `esttable` and `esttex` to visualize the results of multiple estimations.

### Examples

    # simple estimation on iris data with "Species" fixed-effects
    res = femlm(Sepal.Length ~ Sepal.Width + Petal.Length +
                Petal.Width | Species, iris)

    nobs(res)
    logLik(res)

[Package fixest version 0.1.0 Index]